QGIS Application - Bug report #21075
Update to 3.4.3 via OSGeo4W gets wrong numpy
2019-01-23 01:52 AM - Loren Amelang

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.4.3 Regression?: No
Operating System: Win 10 Pro Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 28893
Description

This appeared when | tried to test the GDAL Merge issue in #19628.

Tried it on my 3.4.3 version. The reported error no longer appears, the second merge works just like the first.

But... Both result layers are pure black, while the inputs are grayscale elevation DEMs. They have the proper location and size, at least on
the screen, but the "Statistics" and "Spatial Extent" are all zero.

Ahal! I'd left the merge window open... And it says:
RuntimeError: module compiled against API version Oxc but this version of numpy is Oxa

Wrong numpy might well return all zeros. This QGIS was just updated days ago by starting OSGeo4W and its update facility. Pretty much
let it use default settings. No errors that | noticed.

System-wide PIP sees numpy 1.10.1. But are you using the same python as my system install?

C:\Users\loren>pip search numpy

numpy (1.16.0) - NumPy is the fundamental package for array computing with Python.
INSTALLED: 1.10.1

LATEST: 1.16.0

How do | fix this without confusing some programs? Can | just PIP the latest numpy onto my system, or do you need exactly "0Oxc"? Or
does it need to be somehow installed into QGIS?

Related issues:
Duplicates QGIS Application - Bug report # 20895: Raster Merge Failure Closed 2018-12-30

History

#1 - 2019-01-23 10:54 AM - Jiirgen Fischer
- Resolution set to duplicate
- Status changed from Open to Closed

#2 - 2019-01-23 10:54 AM - Jiirgen Fischer
- Duplicates Bug report #20895: Raster Merge Failure added
